#!/usr/bin/perl
# Compute dUmodel/dTheta

print "open $ARGV[0] res num $ARGV[1] and skip $ARGV[2] frames\n";
open (INFILE,"$ARGV[0]");
$FileName = $ARGV[0];
$FileName =~ s/(.*)/$1\.avg/;
print "Create file $FileName\n";
print $FileName; 
open (OUTFILE,">$FileName");

$ititr = $ARGV[1];
$NFrameSkip = 0; # default no skip
$NFrameSkip = $ARGV[2];
$TotLines = 0;
$TotFrame = 0; # frames wanted
$TotDeriv = 0;

while (<INFILE>) {
  @data = split(" ",$_);
  $TotLines ++;
  if ($TotLines < $NFrameSkip + 1) {
    next; # skip
  }
  else {
    $TotFrame ++; # save derivatives
    $ColumnTheta = 2*$ititr - 2;
    $Theta = $data[$ColumnTheta];
    $Deriv[$TotFrame] = $data[$ColumnTheta+1];
    $TotDeriv += $Deriv[$TotFrame];
  }
}
printf "%12s %8d %12s %8d\n", "frames used", $TotFrame, "and skipped", $NFrameSkip;

# compute average
  printf OUTFILE "%10.5f %16.11f\n", $Theta, $TotDeriv/$TotFrame;
  print $Theta, " ", $TotDeriv/$TotFrame, "\n";
