#!/bin/csh
set name = lys
foreach theta (0.4 0.6 0.8 1.0 1.2 1.4)
    set dir = rex-$name.ph-10.4.theta-$theta
    tar xvf $dir.tar
    cd $dir
    rexinfo.pl -bycond 0 > rexinfo-0.data
    extractLamb.pl 4 500 500 500 rexinfo-0.dat final.lamb
    mv rexinfo-0.data.lambda $name.du
    cptAvgdU.pl $name.du 1 0
    cat $name.du.avg >> ../$name.du.dat
    cd ../
end
